Module jdk.compiler
Package com.sun.source.tree

# Interface LabeledStatementTree

All Superinterfaces:
  `StatementTree`, `Tree`

    public interface LabeledStatementTree
    extends StatementTree

A tree node for a labeled statement. For example:

       label : statement

See Java Language Specification:
  14.7 Labeled Statements
Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`Name` | `getLabel()` | Returns the label.
`StatementTree` | `getStatement()` | Returns the statement that is labeled.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getLabel

Name getLabel()
Returns the label.

Returns:
  the label

### getStatement

StatementTree getStatement()
Returns the statement that is labeled.

Returns:
  the statement